Package: groovy.transform

## [Java] Class Undefined

- groovy.transform.Undefined

-     public final class Undefined
      extends Object

  Java doesn't allow you to have null as an attribute value. It wants you to indicate what you really mean by null, so that is what we do here - as ugly as it is.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `Undefined.CLASS` | Sentinel type used when an annotation member has no explicit class value.
    `static class` | `Undefined.EXCEPTION` | Sentinel exception type used when an annotation member has no explicit exception value.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `STRING` | Sentinel string value used when an annotation member has no explicit string value.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static boolean` | `isUndefined(String other)` Tests whether the supplied string is the undefined sentinel.
    `` | `public static boolean` | `isUndefined(ClassNode other)` Tests whether the supplied class node is the undefined class sentinel.
    `` | `public static boolean` | `isUndefinedException(ClassNode other)` Tests whether the supplied class node is the undefined exception sentinel.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String STRING

      Sentinel string value used when an annotation member has no explicit string value.

  - ### Method Detail

    - #### public static boolean isUndefined(String other)

      Tests whether the supplied string is the undefined sentinel.

      Parameters:
        `other` - the value to test
      Returns:
        `true` if the value is undefined

    - #### public static boolean isUndefined(ClassNode other)

      Tests whether the supplied class node is the undefined class sentinel.

      Parameters:
        `other` - the class node to test
      Returns:
        `true` if the value is undefined

    - #### public static boolean isUndefinedException(ClassNode other)

      Tests whether the supplied class node is the undefined exception sentinel.

      Parameters:
        `other` - the class node to test
      Returns:
        `true` if the value is undefined